import 'package:flutter/material.dart';
import 'package:smooth_compass/utils/src/compass_ui.dart';

class HomePage extends StatelessWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return  Scaffold(
      body:  Center(
        child: SmoothCompass(
          rotationSpeed: 200,
          height: 300,
          width: 300,
          compassAsset: Container(
            height: 300,
            width: 300,
            margin: const EdgeInsets.all(20),
            decoration: const BoxDecoration(
              shape: BoxShape.circle,
              color: Colors.blue
            ),
            child: const Divider(
              color: Colors.black,
              thickness: 2,
            ),
          ),
        ),
      ),
    );
  }
}
